# std::multiset< _Key, _Compare, _Alloc > Class Template Reference
[Associative]

A standard container made up of elements, which can be retrieved in logarithmic time. More...

List of all members.

## Public Types

- typedef _Alloc allocator_type
- typedef _Rep_type::const_iterator const_iterator
- typedef
  _Key_alloc_type::const_pointer const_pointer
- typedef
  _Key_alloc_type::const_reference const_reference
- typedef
  _Rep_type::const_reverse_iterator const_reverse_iterator
- typedef _Rep_type::difference_type difference_type
- typedef _Rep_type::const_iterator iterator
- typedef _Compare key_compare
- typedef _Key key_type
- typedef _Key_alloc_type::pointer pointer
- typedef _Key_alloc_type::reference reference
- typedef
  _Rep_type::const_reverse_iterator reverse_iterator
- typedef _Rep_type::size_type size_type
- typedef _Compare value_compare
- typedef _Key value_type

## Public Member Functions

- multiset ()
- multiset (const _Compare &__comp, const allocator_type &__a=allocator_type())
- template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp, const allocator_type &__a=allocator_type())
- multiset (const multiset &__x)
- template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last)
- multiset (multiset &&__x)
- multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
- iterator begin () const
- iterator cbegin () const
- iterator cend () const
- void clear ()
- size_type count (const key_type &__x) const
- reverse_iterator crbegin () const
- reverse_iterator crend () const
- bool empty () const
- iterator end () const
- iterator erase (iterator __first, iterator __last)
- size_type erase (const key_type &__x)
- iterator erase (iterator __position)
- allocator_type get_allocator () const
- iterator insert (const value_type &__x)
- iterator insert (iterator __position, const value_type &__x)
- template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)
- void insert (initializer_list< value_type > __l)
- key_compare key_comp () const
- size_type max_size () const
- multiset & operator= (const multiset &__x)
- multiset & operator= (multiset &&__x)
- multiset & operator= (initializer_list< value_type > __l)
- reverse_iterator rbegin () const
- reverse_iterator rend () const
- size_type size () const
- void swap (multiset &__x)
- value_compare value_comp () const

- iterator find (const key_type &__x)
- const_iterator find (const key_type &__x) const

- iterator lower_bound (const key_type &__x)
- const_iterator lower_bound (const key_type &__x) const

- iterator upper_bound (const key_type &__x)
- const_iterator upper_bound (const key_type &__x) const

- std::pair< iterator, iterator > equal_range (const key_type &__x)
- std::pair< const_iterator,
  const_iterator > equal_range (const key_type &__x) const
- template<typename _K1 , typename _C1 , typename _A1 > bool operator== (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)
- template<typename _K1 , typename _C1 , typename _A1 > bool operator< (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)

## Detailed Description

### template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>
class std::multiset< _Key, _Compare, _Alloc >

A standard container made up of elements, which can be retrieved in logarithmic time.

Meets the requirements of a container, a reversible container, and an associative container (using equivalent keys). For a `multiset<Key>` the key_type and value_type are Key.

Multisets support bidirectional iterators.

The private tree data is declared exactly the same way for set and multiset; the distinction is made entirely in how the tree functions are called (*_unique versus *_equal, same as the standard).

Definition at line 84 of file stl_multiset.h.

## Constructor & Destructor Documentation

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

std::multiset< _Key, _Compare, _Alloc >::multiset | ( |  | ) | `[inline]`

Default constructor creates no elements.

Definition at line 129 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

std::multiset< _Key, _Compare, _Alloc >::multiset | ( | const _Compare & | __comp,
|  | const allocator_type & | __a = `allocator_type()` |
| ) |  |  | `[inline, explicit]`

Creates a multiset with no elements.

Parameters:

  | comp | Comparator to use.
  | a | An allocator object.

Definition at line 138 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>
template<typename _InputIterator >

std::multiset< _Key, _Compare, _Alloc >::multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last |
| ) |  |  | `[inline]`

Builds a multiset from a range.

Parameters:

  | first | An input iterator.
  | last | An input iterator.

Create a multiset consisting of copies of the elements from [first,last). This is linear in N if the range is already sorted, and NlogN otherwise (where N is distance(first,last)).

Definition at line 152 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>
template<typename _InputIterator >

std::multiset< _Key, _Compare, _Alloc >::multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const _Compare & | __comp,
|  | const allocator_type & | __a = `allocator_type()` |
| ) |  |  | `[inline]`

Builds a multiset from a range.

Parameters:

  | first | An input iterator.
  | last | An input iterator.
  | comp | A comparison functor.
  | a | An allocator object.

Create a multiset consisting of copies of the elements from [first,last). This is linear in N if the range is already sorted, and NlogN otherwise (where N is distance(first,last)).

Definition at line 168 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

std::multiset< _Key, _Compare, _Alloc >::multiset | ( | const multiset< _Key, _Compare, _Alloc > & | __x | ) | `[inline]`

Multiset copy constructor.

Parameters:

  | x | A multiset of identical element and allocator types.

The newly-created multiset uses a copy of the allocation object used by x.

Definition at line 181 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

std::multiset< _Key, _Compare, _Alloc >::multiset | ( | multiset< _Key, _Compare, _Alloc > && | __x | ) | `[inline]`

Multiset move constructor.

Parameters:

  | x | A multiset of identical element and allocator types.

The newly-created multiset contains the exact contents of x. The contents of x are a valid, but unspecified multiset.

Definition at line 192 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

std::multiset< _Key, _Compare, _Alloc >::multiset | ( | initializer_list< value_type > | __l,
|  | const _Compare & | __comp = `_Compare()`,
|  | const allocator_type & | __a = `allocator_type()` |
| ) |  |  | `[inline]`

Builds a multiset from an initializer_list.

Parameters:

  | l | An initializer_list.
  | comp | A comparison functor.
  | a | An allocator object.

Create a multiset consisting of copies of the elements from the list. This is linear in N if the list is already sorted, and NlogN otherwise (where N is l.size()).

Definition at line 205 of file stl_multiset.h.

## Member Function Documentation

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::begin | ( |  | ) | const`[inline]`

Returns a read-only (constant) iterator that points to the first element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 285 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::cbegin | ( |  | ) | const`[inline]`

Returns a read-only (constant) iterator that points to the first element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 322 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::cend | ( |  | ) | const`[inline]`

Returns a read-only (constant) iterator that points one past the last element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 331 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

void std::multiset< _Key, _Compare, _Alloc >::clear | ( |  | ) | `[inline]`

Erases all elements in a multiset. Note that this function only erases the elements, and that if the elements themselves are pointers, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 541 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

size_type std::multiset< _Key, _Compare, _Alloc >::count | ( | const key_type & | __x | ) | const`[inline]`

Finds the number of elements with given key.

Parameters:

  | x | Key of elements to be located.

Returns:
  Number of elements with specified key.

Definition at line 552 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

reverse_iterator std::multiset< _Key, _Compare, _Alloc >::crbegin | ( |  | ) | const`[inline]`

Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 340 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

reverse_iterator std::multiset< _Key, _Compare, _Alloc >::crend | ( |  | ) | const`[inline]`

Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 349 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

bool std::multiset< _Key, _Compare, _Alloc >::empty | ( |  | ) | const`[inline]`

Returns true if the set is empty.

Definition at line 355 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::end | ( |  | ) | const`[inline]`

Returns a read-only (constant) iterator that points one past the last element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 294 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

std::pair<iterator, iterator> std::multiset< _Key, _Compare, _Alloc >::equal_range | ( | const key_type & | __x | ) | `[inline]`

Finds a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Pair of iterators that possibly points to the subsequence matching given key.

This function is equivalent to

        std::make_pair(c.lower_bound(val),
                       c.upper_bound(val))

(but is faster than making the calls separately).

This function probably only makes sense for multisets.

Definition at line 632 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

std::pair<const_iterator, const_iterator> std::multiset< _Key, _Compare, _Alloc >::equal_range | ( | const key_type & | __x | ) | const`[inline]`

Finds a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Pair of iterators that possibly points to the subsequence matching given key.

This function is equivalent to

        std::make_pair(c.lower_bound(val),
                       c.upper_bound(val))

(but is faster than making the calls separately).

This function probably only makes sense for multisets.

Definition at line 636 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::erase | ( | iterator | __position | ) | `[inline]`

Erases an element from a multiset.

Parameters:

  | position | An iterator pointing to the element to be erased.

Returns:
  An iterator pointing to the element immediately following position prior to the element being erased. If no such element exists, end() is returned.

This function erases an element, pointed to by the given iterator, from a multiset. Note that this function only erases the element, and that if the element is itself a pointer, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 466 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

size_type std::multiset< _Key, _Compare, _Alloc >::erase | ( | const key_type & | __x | ) | `[inline]`

Erases elements according to the provided key.

Parameters:

  | x | Key of element to be erased.

Returns:
  The number of elements erased.

This function erases all elements located by the given key from a multiset. Note that this function only erases the element, and that if the element is itself a pointer, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 496 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::erase | ( | iterator | __first,
|  | iterator | __last |
| ) |  |  | `[inline]`

Erases a [first,last) range of elements from a multiset.

Parameters:

  | first | Iterator pointing to the start of the range to be erased.
  | last | Iterator pointing to the end of the range to be erased.

Returns:
  The iterator last.

This function erases a sequence of elements from a multiset. Note that this function only erases the elements, and that if the elements themselves are pointers, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 515 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::find | ( | const key_type & | __x | ) | `[inline]`

Tries to locate an element in a set.

Parameters:

  | x | Element to be located.

Returns:
  Iterator pointing to sought-after element, or end() if not found.

This function takes a key and tries to locate the element with which the key matches. If successful the function returns an iterator pointing to the sought after element. If unsuccessful it returns the past-the-end ( `end()` ) iterator.

Definition at line 570 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

const_iterator std::multiset< _Key, _Compare, _Alloc >::find | ( | const key_type & | __x | ) | const`[inline]`

Tries to locate an element in a set.

Parameters:

  | x | Element to be located.

Returns:
  Iterator pointing to sought-after element, or end() if not found.

This function takes a key and tries to locate the element with which the key matches. If successful the function returns an iterator pointing to the sought after element. If unsuccessful it returns the past-the-end ( `end()` ) iterator.

Definition at line 574 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

allocator_type std::multiset< _Key, _Compare, _Alloc >::get_allocator | ( |  | ) | const`[inline]`

Returns the memory allocation object.

Definition at line 276 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::insert | ( | const value_type & | __x | ) | `[inline]`

Inserts an element into the multiset.

Parameters:

  | x | Element to be inserted.

Returns:
  An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Insertion requires logarithmic time.

Definition at line 396 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::insert | ( | iterator | __position,
|  | const value_type & | __x |
| ) |  |  | `[inline]`

Inserts an element into the multiset.

Parameters:

  | position | An iterator that serves as a hint as to where the element should be inserted.
  | x | Element to be inserted.

Returns:
  An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Note that the first parameter is only a hint and can potentially improve the performance of the insertion process. A bad hint would cause no gains in efficiency.

See http://gcc.gnu.org/onlinedocs/libstdc++/manual/bk01pt07ch17.html for more on hinting.

Insertion requires logarithmic time (if the hint is not taken).

Definition at line 420 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>
template<typename _InputIterator >

void std::multiset< _Key, _Compare, _Alloc >::insert | ( | _InputIterator | __first,
|  | _InputIterator | __last |
| ) |  |  | `[inline]`

A template function that tries to insert a range of elements.

Parameters:

  | first | Iterator pointing to the start of the range to be inserted.
  | last | Iterator pointing to the end of the range.

Complexity similar to that of the range constructor.

Definition at line 433 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

void std::multiset< _Key, _Compare, _Alloc >::insert | ( | initializer_list< value_type > | __l | ) | `[inline]`

Attempts to insert a list of elements into the multiset.

Parameters:

  | list | A std::initializer_list<value_type> of elements to be inserted.

Complexity similar to that of the range constructor.

Definition at line 445 of file stl_multiset.h.

References std::multiset< _Key, _Compare, _Alloc >::insert().

Referenced by std::multiset< _Key, _Compare, _Alloc >::insert().

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

key_compare std::multiset< _Key, _Compare, _Alloc >::key_comp | ( |  | ) | const`[inline]`

Returns the comparison object.

Definition at line 268 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::lower_bound | ( | const key_type & | __x | ) | `[inline]`

Finds the beginning of a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Iterator pointing to first element equal to or greater than key, or end().

This function returns the first element of a subsequence of elements that matches the given key. If unsuccessful it returns an iterator pointing to the first element that has a greater value than given key or end() if no such element exists.

Definition at line 591 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

const_iterator std::multiset< _Key, _Compare, _Alloc >::lower_bound | ( | const key_type & | __x | ) | const`[inline]`

Finds the beginning of a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Iterator pointing to first element equal to or greater than key, or end().

This function returns the first element of a subsequence of elements that matches the given key. If unsuccessful it returns an iterator pointing to the first element that has a greater value than given key or end() if no such element exists.

Definition at line 595 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

size_type std::multiset< _Key, _Compare, _Alloc >::max_size | ( |  | ) | const`[inline]`

Returns the maximum size of the set.

Definition at line 365 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

multiset& std::multiset< _Key, _Compare, _Alloc >::operator= | ( | multiset< _Key, _Compare, _Alloc > && | __x | ) | `[inline]`

Multiset move assignment operator.

Parameters:

  | x | A multiset of identical element and allocator types.

The contents of x are moved into this multiset (without copying). x is a valid, but unspecified multiset.

Definition at line 235 of file stl_multiset.h.

References std::swap().

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

multiset& std::multiset< _Key, _Compare, _Alloc >::operator= | ( | initializer_list< value_type > | __l | ) | `[inline]`

Multiset list assignment operator.

Parameters:

  | l | An initializer_list.

This function fills a multiset with copies of the elements in the initializer list l.

Note that the assignment completely changes the multiset and that the resulting multiset's size is the same as the number of elements assigned. Old data may be lost.

Definition at line 256 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

multiset& std::multiset< _Key, _Compare, _Alloc >::operator= | ( | const multiset< _Key, _Compare, _Alloc > & | __x | ) | `[inline]`

Multiset assignment operator.

Parameters:

  | x | A multiset of identical element and allocator types.

All the elements of x are copied, but unlike the copy constructor, the allocator object is not copied.

Definition at line 220 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

reverse_iterator std::multiset< _Key, _Compare, _Alloc >::rbegin | ( |  | ) | const`[inline]`

Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 303 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

reverse_iterator std::multiset< _Key, _Compare, _Alloc >::rend | ( |  | ) | const`[inline]`

Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 312 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

size_type std::multiset< _Key, _Compare, _Alloc >::size | ( |  | ) | const`[inline]`

Returns the size of the set.

Definition at line 360 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

void std::multiset< _Key, _Compare, _Alloc >::swap | ( | multiset< _Key, _Compare, _Alloc > & | __x | ) | `[inline]`

Swaps data with another multiset.

Parameters:

  | x | A multiset of the same element and allocator types.

This exchanges the elements between two multisets in constant time. (It is only swapping a pointer, an integer, and an instance of the `Compare` type (which itself is often stateless and empty), so it should be quite fast.) Note that the global std::swap() function is specialized such that std::swap(s1,s2) will feed to this function.

Definition at line 380 of file stl_multiset.h.

Referenced by std::swap().

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

iterator std::multiset< _Key, _Compare, _Alloc >::upper_bound | ( | const key_type & | __x | ) | `[inline]`

Finds the end of a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Iterator pointing to the first element greater than key, or end().

Definition at line 607 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

const_iterator std::multiset< _Key, _Compare, _Alloc >::upper_bound | ( | const key_type & | __x | ) | const`[inline]`

Finds the end of a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Iterator pointing to the first element greater than key, or end().

Definition at line 611 of file stl_multiset.h.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>

value_compare std::multiset< _Key, _Compare, _Alloc >::value_comp | ( |  | ) | const`[inline]`

Returns the comparison object.

Definition at line 272 of file stl_multiset.h.

## Friends And Related Function Documentation

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>
template<typename _K1 , typename _C1 , typename _A1 >

bool operator< | ( | const multiset< _K1, _C1, _A1 > & | ,
|  | const multiset< _K1, _C1, _A1 > & |  |
| ) |  |  | `[friend]`

Finds a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Pair of iterators that possibly points to the subsequence matching given key.

This function is equivalent to

        std::make_pair(c.lower_bound(val),
                       c.upper_bound(val))

(but is faster than making the calls separately).

This function probably only makes sense for multisets.

template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>
template<typename _K1 , typename _C1 , typename _A1 >

bool operator== | ( | const multiset< _K1, _C1, _A1 > & | ,
|  | const multiset< _K1, _C1, _A1 > & |  |
| ) |  |  | `[friend]`

Finds a subsequence matching given key.

Parameters:

  | x | Key to be located.

Returns:
  Pair of iterators that possibly points to the subsequence matching given key.

This function is equivalent to

        std::make_pair(c.lower_bound(val),
                       c.upper_bound(val))

(but is faster than making the calls separately).

This function probably only makes sense for multisets.

The documentation for this class was generated from the following file:

- stl_multiset.h